accrue.analysis.pointer

## Class StmtProcedureCall

- java.lang.Object
- - accrue.analysis.pointer.PointsToStmt
  - - accrue.analysis.pointer.StmtProcedureCall

- Direct Known Subclasses:
    StmtConstructorCall, StmtSpecialMethodCall, StmtStaticMethodCall, StmtVirtualMethodCall

      public abstract class StmtProcedureCall
      extends PointsToStmt

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StmtProcedureCall.ExceptionHandlerPointsToGraphNode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CallSiteNode` | `callSiteNode`

    - ### Fields inherited from class accrue.analysis.pointer.PointsToStmt

      `origin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StmtProcedureCall(polyglot.util.Position origin, polyglot.types.CodeInstance code, CallSiteNode callSiteNode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `addEdgesForCall(polyglot.types.CodeInstance caller, CContext callerContext, CallSiteNode callSiteNode, StmtRegistrar registrar, PointsToGraph g, StmtRegistrar.CodeInfo calleeProcInfo, HContext receiver, java.util.List<ReferenceVariableReplica> args, ReferenceVariableReplica l, java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode> handlers, java.util.Map<polyglot.types.Type,ReferenceVariableReplica> procThrows, polyglot.util.Position origin, HeapAbstractionFactory af, PointsToEngine.StmtAndContext sac)`
    `protected static java.util.List<ReferenceVariableReplica>` | `convert(CContext callerContext, java.util.List<ReferenceVariable> l, HeapAbstractionFactory af)`
    `protected static java.util.Map<polyglot.types.Type,ReferenceVariableReplica>` | `convert(CContext callerContext, java.util.Map<polyglot.types.Type,ReferenceVariable> m, HeapAbstractionFactory af)`
    `protected static java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode>` | `convert2(CContext callerContext, java.util.List<StmtRegistrar.ExceptionHandlerReferenceVariable> l, HeapAbstractionFactory af)`

    - ### Methods inherited from class accrue.analysis.pointer.PointsToStmt

      `equals, hashCode, process, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### callSiteNode

          protected final CallSiteNode callSiteNode

  - ### Constructor Detail

    - #### StmtProcedureCall

          public StmtProcedureCall(polyglot.util.Position origin,
                           polyglot.types.CodeInstance code,
                           CallSiteNode callSiteNode)

  - ### Method Detail

    - #### addEdgesForCall

          protected static boolean addEdgesForCall(polyglot.types.CodeInstance caller,
                                CContext callerContext,
                                CallSiteNode callSiteNode,
                                StmtRegistrar registrar,
                                PointsToGraph g,
                                StmtRegistrar.CodeInfo calleeProcInfo,
                                HContext receiver,
                                java.util.List<ReferenceVariableReplica> args,
                                ReferenceVariableReplica l,
                                java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode> handlers,
                                java.util.Map<polyglot.types.Type,ReferenceVariableReplica> procThrows,
                                polyglot.util.Position origin,
                                HeapAbstractionFactory af,
                                PointsToEngine.StmtAndContext sac)

    - #### convert

          protected static java.util.List<ReferenceVariableReplica> convert(CContext callerContext,
                                                         java.util.List<ReferenceVariable> l,
                                                         HeapAbstractionFactory af)

    - #### convert2

          protected static java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode> convert2(CContext callerContext,
                                                                                     java.util.List<StmtRegistrar.ExceptionHandlerReferenceVariable> l,
                                                                                     HeapAbstractionFactory af)

    - #### convert

          protected static java.util.Map<polyglot.types.Type,ReferenceVariableReplica> convert(CContext callerContext,
                                                                            java.util.Map<polyglot.types.Type,ReferenceVariable> m,
                                                                            HeapAbstractionFactory af)